"
I define the installation procedure for Fossil package support.
"
Class {
	#name : #BaselineOfFossil,
	#superclass : #BaselineOf,
	#category : #BaselineOfFossil
}

{ #category : #baselines }
BaselineOfFossil >> baseline: spec [
	<baseline>

	spec
		for: #common
		do: [ 
			"Dependencies"
			spec 
				baseline: 'NeoJSON' with: [ spec repository: 'github://svenvc/NeoJSON:master/repository' ];
				baseline: 'OSSubprocess' with: [ spec repository: 'github://pharo-contributions/OSSubprocess/repository']";
				baseline: 'ProcessWrapper' with: [ spec repository: 'github://hernanmd/ProcessWrapper/repository' ]".
			
			"Packages"
			spec package: 'Fossil' with: [ spec requires:  #('NeoJSON') ].
			spec for: #(#'MacOS' #'Unix') do: [
					spec package: 'Fossil' with: [ spec requires: #('OSSubprocess') ] ].
			"spec for: #'Windows' do: [
					spec package: 'Fossil' with: [ spec requires: #('ProcessWrapper') ] ]".
			
			
		]
]

{ #category : #accessing }
BaselineOfFossil >> projectClass [
	^ MetacelloCypressBaselineProject 
]
